core::trust::Token Class Reference

Opaque type describing the exposure of a store instance. More...

`#include <expose.h>`

Collaboration diagram for core::trust::Token:

## Public Member Functions

| Token (const Token &)=delete
virtual | ~Token ()=default
Token & | operator= (const Token &)=delete
bool | operator== (const Token &) const =delete

## Protected Member Functions

| Token ()=default

## Detailed Description

Opaque type describing the exposure of a store instance.

Definition at line 39 of file expose.h.

## Constructor & Destructor Documentation

core::trust::Token::Token | ( | const Token & |  | ) |

delete

virtual core::trust::Token::~Token | ( |  | ) |

virtual default

core::trust::Token::Token | ( |  | ) |

protected default

## Member Function Documentation

Token& core::trust::Token::operator= | ( | const Token & |  | ) |

delete

bool core::trust::Token::operator== | ( | const Token & |  | ) | const

delete

The documentation for this class was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/expose.h